Skip to main content
POST
Sync Collection Schema

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string
required

Collection ID to sync schema for

Body

application/json

Request to sync a collection's schema by sampling documents.

Used by:

  • Manual API calls from users
  • Automatic triggers from BatchJobPoller
sample_size
integer
default:1000

Number of documents to sample for schema discovery

Required range: 1 <= x <= 10000
force
boolean
default:false

Force schema sync even if within debounce window. Default: false (respects 5-minute debounce)

cascade_to_downstream
boolean
default:true

Automatically update downstream collections that use this collection as source. Default: true

Response

Successful Response

Response from schema sync operation.

success
boolean
required

Whether schema sync succeeded

collection_id
string
required

Collection that was synced

schema_version
integer
required

New schema version

previous_version
integer
required

Previous schema version

fields_total
integer
required

Total fields in output_schema

documents_sampled
integer
required

Number of documents sampled

fields_added
string[]

List of new fields discovered

downstream_collections_updated
string[]

Downstream collections that were updated

message
string | null

Additional message or error